<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node19.html" />
<link rel="prev" href="node17.html" />
<link rel="parent" href="node8.html" />
<link rel="next" href="node19.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.5 The Non-digest Options Category</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.4 the Membership Management"
  href="node17.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.6 the Digest Options"
  href="node19.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node17.html">2.4 The Membership Management</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node19.html">2.6 The Digest Options</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION002250000000000000000">
2.5 The Non-digest Options Category</a>
</h2>

<p>
Mailman delivers messages to users via two modes.  List members can
elect to receive postings in bundles called <em>digests</em> one or a few
times a day, or they can receive messages immediately whenever the
message is posted to the list.  This latter delivery mode is also
called <em>non-digest delivery</em>.  There are two administrative
categories available for separately controlling digest and non-digest
delivery.  You can even disable one or the other forms of delivery
(but not both).

<p>
Both kinds of delivery can have list-specific headers and footers
added to them which can contain other useful information you want your
list members to see.  For example, you can include instructions for
unsubscribing, or a url to the lists digest, or any other information.

<p>
Non-digest deliveries can also be <em>personalized</em> which means
certain parts of the message can contain information tailored to the
member receiving the message.  For example, the <span class="mailheader">To:</span> header
will contain the address of the member when deliveries are
personalized.  Footers and headers can contain personalized
information as well, such as a link to the individual user's options
page.

<p>
In addition, personalized messages will contain extra information that
Mailman can use to unambiguously track bounces from members.
Ordinarily, Mailman does some pattern recognition on bounce messages
to determine list members whose addresses are no longer valid, but
because of the vagaries of mail systems, and the countless forwards
people can put in place, it's often the case that bounce messages
don't contain any useful information in them.  Personalized messages
avoid this problem by encoding information in certain headers that
unambiguously identify the recipient of a message.  If that message
bounces, Mailman will know exactly which member it was intended for.

<p>
Note that because personalization requires extra system resources, it
must be enabled by the site administrator before you can choose it.

<p>
Here are the variables which control non-digest delivery:

<p>
<dl>
<dt><strong>nondigestable</strong></dt>
<dd>This option controls whether members can receive immediate
    delivery or not.  If not, they will be forced to receive messages
    in digests.  You can't disable non-digest delivery if digests are
    already disabled.

<p>
</dd>
<dt><strong>personalize</strong></dt>
<dd>This option turns on message personalization.

<p>
</dd>
<dt><strong>msg_header</strong></dt>
<dd>This text box lets you enter information that will be included in
    the header of every non-digest message sent through the
    list.

<p>
See below for more information on what can go in the headers and
    footers.  If you leave this text box empty, no header will be
    added.

<p>
</dd>
<dt><strong>msg_footer</strong></dt>
<dd>Just like with the header, you can add a footer to every message.
    The same rules apply to footers as apply to headers.
</dd>
</dl>

<p>
Headers and footers can contain any text you want.  For non-English
lists, the headers and footers can contain any character in the
character set of the list's preferred language.  The headers and
footers can also contain <em>substitution variables</em> which Mailman
will fill in with information taken from the mailing list.  These
substitutions are in Python string interpolation format, where
something like <code>%(list_name)s</code> is substituted with he name of
the mailing list.  Note that the trailing "<tt class="samp">s</tt>" is
required<a name="tex2html4"
  href="#foot322"><sup>2</sup></a>.

<p>
For example, a footer containing the following text:

<p>
<div class="verbatim"><pre>
This is the \%(list_name)s mailing list
Description: \%(description)s
</pre></div>

<p>
might get attached to postings like so:

<p>
<div class="verbatim"><pre>
This is the Example mailing list
Description: An example of Mailman mailing lists
</pre></div>

<p>
Here is the list of substitution variables available for your headers
and footers:

<p>
<dl>
<dt><strong>real_name</strong></dt>
<dd>This is the value of the <code>real_name</code> configuration variable
    in the General options category.

<p>
</dd>
<dt><strong>list_name</strong></dt>
<dd>This is the canonical name of the mailing list.  In other words
    it's the posting address of the list<a name="tex2html5"
  href="#foot323"><sup>3</sup></a>.

<p>
</dd>
<dt><strong>host_name</strong></dt>
<dd>This is the domain name part of the email address for this list.

<p>
</dd>
<dt><strong>web_page_url</strong></dt>
<dd>This is the base url for contacting the list via the web.  It can
    be appended with <code>listinfo/%(list_name)s</code> to yield the
    general list information page for the mailing list.

<p>
</dd>
<dt><strong>description</strong></dt>
<dd>The brief description of the mailing list.

<p>
</dd>
<dt><strong>info</strong></dt>
<dd>This is the full description of the mailing list.

<p>
</dd>
<dt><strong>cgiext</strong></dt>
<dd>This is the extension added to CGI scripts.  It might be the empty
    string, <code>.cgi</code>, or something else depending on how your site
    is configured.
</dd>
</dl>

<p>
Note that <code>real_name</code>, <code>host_name</code>, <code>description</code>, and
<code>info</code> substitution variables take their values from the list
configuration variables of the same name.

<p>
When personalization is enabled, the following substitution variables
are also available:

<p>
<dl>
<dt><strong>user_address</strong></dt>
<dd>The address of the recipient of the message, coerced to lower case.

<p>
</dd>
<dt><strong>user_delivered_to</strong></dt>
<dd>The case-preserved address that the user subscribed to the mailing
    list with<a name="tex2html6"
  href="#foot324"><sup>4</sup></a>.

<p>
</dd>
<dt><strong>user_password</strong></dt>
<dd>The user's password, in clear text.

<p>
</dd>
<dt><strong>user_name</strong></dt>
<dd>The user's full name.

<p>
</dd>
<dt><strong>user_optionsurl</strong></dt>
<dd>The url to the user's personal options page.
</dd>
</dl>

<p>
<br><hr><h4>Footnotes</h4>
<dl>
<dt><a name="foot322">...
required</a><A
 HREF="node18.html#tex2html4"><sup>2</sup></a></dt>
<dd>The site administrator can configure lists to use a
simpler interpolation format, where <code>$list_name</code> or
<code>${list_name}</code> would be substituted with the mailing list's
name.  Ask your site administrator if they've configured your list this
way.

</dd>
<dt><a name="foot323">... list</a><A
 HREF="node18.html#tex2html5"><sup>3</sup></a></dt>
<dd>For backward
    compatibility, the variable <code>_internal_name</code> is
    equivalent.

</dd>
<dt><a name="foot324">... with</a><A
 HREF="node18.html#tex2html6"><sup>4</sup></a></dt>
<dd>Usually it makes no difference which of
    <code>user_address</code> and <code>user_delivered_to</code> is used, but it's
    important to remember that they can be different.  When they're
    different, Mailman always uses the lower case address as the key
    to the member's subscription information, but it always delivers
    messages to the case-preserved version.

</dd>
</dl>
<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.4 the Membership Management"
  href="node17.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.6 the Digest Options"
  href="node19.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node17.html">2.4 The Membership Management</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node19.html">2.6 The Digest Options</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
